<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GetIlsConfigReq StructType
 * @subpackage Structs
 */
class GetIlsConfigReq extends AbstractStructBase
{
    /**
     * The clusterId
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $clusterId;
    /**
     * The returnedTags
     * @var NewIlsConfig
     */
    public $returnedTags;
    /**
     * Constructor method for GetIlsConfigReq
     * @uses GetIlsConfigReq::setClusterId()
     * @uses GetIlsConfigReq::setReturnedTags()
     * @param string $clusterId
     * @param NewIlsConfig $returnedTags
     */
    public function __construct($clusterId = null, NewIlsConfig $returnedTags = null)
    {
        $this
            ->setClusterId($clusterId)
            ->setReturnedTags($returnedTags);
    }
    /**
     * Get clusterId value
     * @return string|null
     */
    public function getClusterId()
    {
        return $this->clusterId;
    }
    /**
     * Set clusterId value
     * @param string $clusterId
     * @return GetIlsConfigReq
     */
    public function setClusterId($clusterId = null)
    {
        // validation for constraint: string
        if (!is_null($clusterId) && !is_string($clusterId)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($clusterId)), __LINE__);
        }
        $this->clusterId = $clusterId;
        return $this;
    }
    /**
     * Get returnedTags value
     * @return NewIlsConfig|null
     */
    public function getReturnedTags()
    {
        return $this->returnedTags;
    }
    /**
     * Set returnedTags value
     * @param NewIlsConfig $returnedTags
     * @return GetIlsConfigReq
     */
    public function setReturnedTags(NewIlsConfig $returnedTags = null)
    {
        $this->returnedTags = $returnedTags;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return GetIlsConfigReq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
